Save a payout
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/payouts/payout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"payout": {
"bankTransferId": 123,
"amount": 50.01,
"date": "2021-01-04",
"description": "Online Banking payment",
"creditAccountId": 123,
"debitAccountId": 123,
"apiTransactionId": "<string>",
"bankAccountId": 123,
"bankDescription": "<string>",
"apiAccountNo": "<string>",
"apiAccountName": "Citi Premier® Card",
"apiInstitutionId": "<string>",
"matchingBankTransferId": 123,
"customData": {},
"transactions": [
{
"entityId": 123,
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"bankAccountId": 123,
"description": "<string>",
"bankDescription": "<string>",
"apiTransactionId": "<string>",
"apiAccountId": "<string>",
"apiAccountNo": "<string>",
"apiAccountName": "Citi Premier® Card",
"apiInstitutionId": "<string>",
"customData": {}
}
]
}
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/payouts/payout"
payload = { "payout": {
"bankTransferId": 123,
"amount": 50.01,
"date": "2021-01-04",
"description": "Online Banking payment",
"creditAccountId": 123,
"debitAccountId": 123,
"apiTransactionId": "<string>",
"bankAccountId": 123,
"bankDescription": "<string>",
"apiAccountNo": "<string>",
"apiAccountName": "Citi Premier® Card",
"apiInstitutionId": "<string>",
"matchingBankTransferId": 123,
"customData": {},
"transactions": [
{
"entityId": 123,
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"bankAccountId": 123,
"description": "<string>",
"bankDescription": "<string>",
"apiTransactionId": "<string>",
"apiAccountId": "<string>",
"apiAccountNo": "<string>",
"apiAccountName": "Citi Premier® Card",
"apiInstitutionId": "<string>",
"customData": {}
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
payout: {
bankTransferId: 123,
amount: 50.01,
date: '2021-01-04',
description: 'Online Banking payment',
creditAccountId: 123,
debitAccountId: 123,
apiTransactionId: '<string>',
bankAccountId: 123,
bankDescription: '<string>',
apiAccountNo: '<string>',
apiAccountName: 'Citi Premier® Card',
apiInstitutionId: '<string>',
matchingBankTransferId: 123,
customData: {},
transactions: [
{
entityId: 123,
amount: 123,
date: '2023-11-07T05:31:56Z',
bankAccountId: 123,
description: '<string>',
bankDescription: '<string>',
apiTransactionId: '<string>',
apiAccountId: '<string>',
apiAccountNo: '<string>',
apiAccountName: 'Citi Premier® Card',
apiInstitutionId: '<string>',
customData: {}
}
]
}
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/payouts/payout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>"
}
}Payouts
Save a payout
Save a new (or update an existing) payout
POST
/
v5
/
payouts
/
payout
Save a payout
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
payout object
Show child attributes
Show child attributes
Response
200 - application/json
Successful operation
Object containing details about result of the action performed
⌘I